Chuyển đến nội dung
Diễn đàn CADViet

huunhantvxdts

Thành viên
  • Số lượng nội dung

    698
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    26

Cộng đồng

137 (tàm tạm)

3 Người theo dõi

About huunhantvxdts

  • Cấp bậc
    biết lệnh imageclip

Khách truy cập Tiểu sử gần đây

Khối khách truy cập gần đây đã bị vô hiệu và không được hiển thị cho người dùng khác.

  1. thế ib fb nhé: https://www.facebook.com/lienkettudong
  2. Theo mình là chạy luôn 1 thể xóa luôn cao độ và chênh cao cũ đi điền vào cao độ và chênh cao mới luôn cho nó nhanh chứ hỏi chi trường hợp 1 với trường hợp 2 nữa ib nếu mời coffe
  3. huunhantvxdts

    Nhờ viết Lisp mở bản vẽ từ folder có sẵn

    Ý mình là suy nghĩ của người yêu cầu thôi. Còn người viết như mình không với tới được
  4. huunhantvxdts

    Nhờ viết Lisp mở bản vẽ từ folder có sẵn

    Cái này mình không đủ tầm bạn ơi. vài ly hay cả trăm ly cũng không với tới
  5. huunhantvxdts

    Nhờ viết Lisp mở bản vẽ từ folder có sẵn

    Một yêu cầu rất là đơn giản. Không biết có cao thủ nào có thể ra tay hỗ trợ Lót dép ngồi hóng
  6. huunhantvxdts

    [Hỏi] Dynamic Block (array pramenter)

    Không đúng bạn ơi (entget(cdr (assoc 330(entget(cdr (assoc 330(entget (car (entsel))))))))) Select object: ((-1 . <Entity name: 201cf431810>) (0 . "TABLE") (2 . "BLOCK_RECORD") (330 . <Entity name: 0>) (5 . "1") (100 . "AcDbSymbolTable") (70 . 13))
  7. huunhantvxdts

    [Hỏi] Dynamic Block (array pramenter)

    Cám ơn bạn nhiều để mình xem lại nhé
  8. huunhantvxdts

    [Hỏi] Dynamic Block (array pramenter)

    Đào lên hỏi xem có ai biết cách không??? Mọi người cho mình hỏi làm sao lấy được giá trị column offset array trong block
  9. huunhantvxdts

    Cần sự trợ giúp. Lấy dữ liệu text từ cad qua excel

    bạn tham khảo?? https://www.facebook.com/lienkettudong/videos/786064635477165
  10. huunhantvxdts

    Các lỗi thường gặp trong lập trình Lisp

    Sửa lại cho bạn load vào hết lỗi nhé: (defun c:ttt (/ LM:al-effectivename LM:getdynprops blk blk_name ent i lst_blk pt row ss tblobj x y htxt) ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; (defun LM:al-effectivename (ent / blk rep) (if (wcmatch (setq blk (cdr (assoc 2 (entget ent)))) "`**") (if (and (setq rep (cdadr (assoc -3 (entget (cdr (assoc 330 (entget (tblobjname "block" blk)))) '("AcDbBlockRepBTag"))))) (setq rep (handent (cdr (assoc 1005 rep))))) (setq blk (cdr (assoc 2 (entget rep)))))) blk ) ;;;;;;;;;;;;;;;;;;;;;;;;;;; (defun LM:getdynprops (blk) (mapcar '(lambda (x) (cons (vla-get-propertyname x) (vlax-get x 'value))) (vlax-invoke blk 'getdynamicblockproperties)) ) (vl-load-com) ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; (or (> (setq htxt (getvar 'TEXTSIZE)) 0) (setq htxt (setvar 'TEXTSIZE 250))) (if (setq ss (ssget (list (cons 0 "INSERT")))) (progn (setq i -1) (while (setq ent (ssname ss (setq i (1+ i)))) (setq blk (vlax-ename->vla-object ent)) (setq blk_name (if (= "*" (substr (cdr (assoc 2 (entget ent))) 1 1)) (strcat (LM:al-effectivename ent) ": " (cdar (LM:getdynprops blk))) (LM:al-effectivename ent) )) (if (not (assoc blk_name lst_blk)) (setq lst_blk (cons (cons blk_name 1) lst_blk)) (setq lst_blk (subst (cons blk_name (1+ (cdr (assoc blk_name lst_blk)))) (assoc blk_name lst_blk) lst_blk))) ) (setq lst_blk (vl-sort lst_blk '(lambda (x y) (< (car x) (car y))))) (setq pt (getpoint "\nSpecify insertion point: ") TblObj (vla-addtable (vla-get-modelspace (vla-get-ActiveDocument (vlax-get-Acad-Object))) (vlax-3d-point pt) (+ (length lst_blk) 2) 4 (* 1.5 htxt) (* 6 htxt))) (vla-SetColumnWidth TblObj 0 (* 4 htxt)) (vla-SetColumnWidth TblObj 1 (* 12 htxt)) (vla-put-vertcellmargin TblObj (* 0.2 htxt)) (mapcar '(lambda (x y) (vla-setTextHeight TblObj x y)) (list acTitleRow acHeaderRow acDataRow) (list htxt htxt (* 0.75 htxt))) (mapcar '(lambda (x) (vla-setAlignment TblObj x 8)) (list acTitleRow acHeaderRow acDataRow)) (vla-MergeCells TblObj 0 0 0 2) (vla-setText TblObj 0 0 "Bang thong ke khoi luong") (vla-setText TblObj 1 0 "STT") (vla-setText TblObj 1 1 "Ten") (vla-setText TblObj 1 2 "Don vi") (vla-setText TblObj 1 3 "So luong") (setq row 2 i 1) (foreach pt lst_blk (vla-setText TblObj row 0 (itoa i)) (vla-setText TblObj row 1 (car pt)) (vla-setText TblObj row 2 "cai") (vla-setText TblObj row 3 (itoa (cdr pt))) (setq row (1+ row) i (1+ i)))) (vlax-release-object TblObj)) (princ))
  11. huunhantvxdts

    Nhờ viết lips : Cao độ và khoảng cách xuất ra tex hoặc excel

    Cái này ý bài luôn nè
  12. huunhantvxdts

    Có cách nào lấy dữ liệu và chỉnh sửa đối tượng PROXY

    cái của bác không lấy được thông tin bên trong của nó nhỉ ví dụ như các cao độ chứa bên trong nó
  13. huunhantvxdts

    Có cách nào lấy dữ liệu và chỉnh sửa đối tượng PROXY

    Cám ơn Bác nhiều.
  14. huunhantvxdts

    Có cách nào lấy dữ liệu và chỉnh sửa đối tượng PROXY

    Cũng quan tâm đến hàm Proxy_Info Bác @gia_bach có thể gửi lại cho e xin với
×